petsc-3.15.0 2021-03-30
Report Typos and Errors

# PetscDSHasJacobian

Signals that Jacobian functions have been set

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSHasJacobian(PetscDS ds, PetscBool *hasJac)

Not collective

### Input Parameter

| prob | - The PetscDS

### Output Parameter

| hasJac | - flag that pointwise function for the Jacobian has been set

### See Also

PetscDSGetJacobianPreconditioner(), PetscDSSetJacobianPreconditioner(), PetscDSGetJacobian()

### Level

intermediate

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages